> ## Documentation Index
> Fetch the complete documentation index at: https://docs.goenhance.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Task Status API

> Check the status of video effect task.



## OpenAPI

````yaml GET /api/v1/jobs/detail
openapi: 3.1.0
info:
  title: GoEnhance API
  description: ''
  version: 1.0.0
servers:
  - url: https://api.goenhance.ai
security:
  - bearerAuth: []
tags:
  - name: Basic
  - name: Video2Video
paths:
  /api/v1/jobs/detail:
    get:
      tags:
        - Basic
      summary: Get Job Detail
      parameters:
        - name: img_uuid
          in: query
          description: ''
          required: false
          example: 94c4e27a-d020-4494-9731-7831f2578d61
          schema:
            type: string
        - name: Authorization
          in: header
          description: ''
          required: false
          example: Bearer xxx
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  msg:
                    type: string
                  data:
                    type: object
                    properties:
                      img_uuid:
                        type: string
                      img_url:
                        type: string
                        description: Valid for 12 hours
                      status:
                        type: string
                        enum:
                          - success
                          - failed
                          - processing
                          - pending
                      type:
                        type: string
                      start_time:
                        type: string
                      model_id:
                        type: string
                      json:
                        type: array
                        items:
                          type: object
                          properties:
                            type:
                              type: string
                            value:
                              type: string
                          required:
                            - type
                            - value
                      job_type:
                        type: string
                      mode:
                        type: integer
                      params:
                        type: string
                    required:
                      - img_uuid
                      - img_url
                      - status
                      - type
                      - start_time
                      - model_id
                      - json
                      - job_type
                      - mode
                      - params
                    x-apifox-orders:
                      - img_uuid
                      - img_url
                      - status
                      - type
                      - start_time
                      - model_id
                      - json
                      - job_type
                      - mode
                      - params
                    x-apifox-ignore-properties: []
                required:
                  - code
                  - msg
                  - data
                x-apifox-orders:
                  - code
                  - msg
                  - data
                x-apifox-ignore-properties: []
              examples:
                '1':
                  summary: pending
                  value:
                    code: 0
                    msg: Success
                    data:
                      img_uuid: 5334c57d-8443-4b79-ba24-8539c2163c74
                      status: pending
                      type: mx-v2v
                      start_time: '2024-07-12T12:49:12.541Z'
                      model_id: '7'
                      json: null
                      job_type: mx-v2v
                '2':
                  summary: success
                  value:
                    code: 0
                    msg: Success
                    data:
                      img_uuid: 37c82d82-8765-4031-8cb3-722df8a668e6
                      status: success
                      type: mx-image-face-swap
                      start_time: '2024-10-11T10:55:32.596Z'
                      end_time: '2024-10-11T10:56:00.338Z'
                      model_id: '-1'
                      json:
                        - type: image
                          value: >-
                            https://openapi-static.goenhance.ai/user/2024/10/11/9dfdb4b5-7ef7-4fe7-93ff-b9eb76cc431d_0.jpg?q-sign-algorithm=sha1&q-ak=AKIDqUvFPSM9vvmdNzSn01oeUAdxw1y1zkS2&q-sign-time=1728644159;1728687359&q-key-time=1728644159;1728687359&q-header-list=host&q-url-param-list=&q-signature=cd1e9c6ef14d36c1e034d6bd3a3fe1aaee41b15f
                      job_type: mx-image-face-swap
          headers: {}
        '401':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
                x-apifox-ignore-properties: []
                x-apifox-orders: []
              example:
                code: 401
                msg: Token is required
          headers: {}
        '500':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
              example:
                code: 500
                msg: ''
          headers: {}
      deprecated: false
      security: []
components: {}

````